Three-card tarot spread
curl --request POST \
--url https://api.astrom8.com/api/v3/tarot/reports/three-card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"locale": "<string>",
"brand_name": "<string>"
}
'import requests
url = "https://api.astrom8.com/api/v3/tarot/reports/three-card"
payload = {
"question": "<string>",
"locale": "<string>",
"brand_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({question: '<string>', locale: '<string>', brand_name: '<string>'})
};
fetch('https://api.astrom8.com/api/v3/tarot/reports/three-card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cards": [
{
"position": "<string>",
"card_id": 38,
"card_name": "<string>",
"card_name_th": "<string>",
"upright": true,
"keywords": [
"<string>"
],
"keywords_th": [
"<string>"
],
"meaning": "<string>"
}
],
"reading_summary": "<string>"
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}{
"error": "internal_server_error",
"message": "Could not compute Panchang.",
"code": "internal",
"request_id": "01HQXYZ..."
}{
"error": "bad_gateway",
"message": "Tarot interpretation could not be parsed; please retry.",
"code": "interpretation_malformed",
"request_id": "01HQXYZ..."
}{
"error": "service_unavailable",
"message": "Tarot interpretation is not configured (missing COMETAPI_KEY).",
"code": "interpretation_unavailable",
"request_id": "01HQXYZ..."
}Tarot & Numerology
Three-card tarot spread
POST
/
api
/
v3
/
tarot
/
reports
/
three-card
Three-card tarot spread
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
Required string length:
1 - 4096Required string length:
2 - 24Example:
"th"
Required string length:
1 - 60Example:
"Moon & Co"
Available options:
professional, casual, mystical, playful, formal Available options:
consumer, employee, manager, customer, community Available options:
default, workplace, financial_wellness, entertainment ⌘I